package com.tocean.app.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("题目实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_level_timu")
public class LevelTimu extends BaseEntity {

    @ApiModelProperty("关卡id")
    @TableField(value = "level_id")
    private String levelId;

    @ApiModelProperty("题目id")
    @TableField(value = "timu_id")
    private String timuId;
}
