package com.tocean.app.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("试卷实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_paper")
public class Paper extends BaseEntity{

    @ApiModelProperty("试卷名称")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("年级")
    @TableField(value = "grade_name")
    private String gradeName;

    @ApiModelProperty("学科")
    @TableField(value = "subject")
    private String subject;
}
